/** @file Licht.vs
 * VertexShader-Quelltext für das Ausrendern einer Lichtquelle mit Normal Mapping
 */

$rein float4 reinPosition; // Vertexposition
$rein float3 reinVertexPos; // Vertexposition in Weltkoordinaten, also Tiles
$rein float3 reinLichtPos;  // Position des Lichts in Weltkoordinaten
$rein float3 reinLichtRichtung; // evtl. Richtung des Lichts
$rein float3 reinLichtFarbe; // Farbe
$rein float3 reinLichtParams; // Lichtparameter: x Radius, y cos Winkel äußerer Kegel, z Übergangsfaktor
$rein float2 reinNormalTexKoords; // Texturkoordinaten für's Lesen aus der Normal Map
$rein float2 reinSchattenTexKoords; // Texturkoordinaten der Shadow Map

// unverändert wieder rausreichen
$raus float4 psPosition; 
$raus float3 psVertexPos;
$raus float3 psLichtPos; 
$raus float3 psLichtRichtung;
$raus float4 psLichtFarbe; 
$raus float3 psLichtParams;
$raus float2 psNormalTexKoords;
$raus float2 psSchattenTexKoords;

$main()
{
  // ganz billig durchreichen
  psPosition = reinPosition;
  psVertexPos = reinVertexPos;
  psLichtPos = reinLichtPos;
  psLichtRichtung = reinLichtRichtung;
  psLichtFarbe = float4( reinLichtFarbe.rgb, 1.0f);
  psLichtParams = reinLichtParams;
  psNormalTexKoords = TEXKOORD_RT( reinNormalTexKoords);
  psSchattenTexKoords = TEXKOORD_RT( reinSchattenTexKoords);
}
