/** @file SchattenWeiter.vs
 * weitere Passes zur Schattenberechnung: mit exponentiell wachsenden Teststrahlen Schatten von der Lichtquelle weg verlängern
 */

$rein float4 reinPosition; // Vertexpositionen auf Zieltextur
$rein float3 reinVertexPos; // Vertexposition in Weltkoords
$rein float4 reinLichtPos; // Lichtposition in Weltkoords, w > 0.0f -> Parallel-Licht Sinkgeschwindigkeit
$rein float3 reinLichtParams; // Lichtparameter: XY Strecken-Ausdehnung, Z radiale Ausdehnung
$rein float4 reinWeltZuTex; // Weltkoords zu Texkoords: XY Skalierung, ZW Basisaddition
$rein float4 reinTexGrenzen; // Texturkoord-Grenzen xy linksoben, zw rechtsunten

$raus float4 psPosition;
$raus float3 psVertexPos;
$raus float4 psLichtPos; 
$raus float3 psLichtParams;
$raus float4 psWeltZuTex;
$raus float4 psTexGrenzen;

// VertexShader 
$main()
{
  psPosition = reinPosition;
  psVertexPos = reinVertexPos;
  psLichtPos = reinLichtPos;
  psLichtParams = reinLichtParams;
  psWeltZuTex = reinWeltZuTex;
  psTexGrenzen = reinTexGrenzen;
}
